package cn.com.qmth.examcloud.core.basic.dao.entity;

import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.commons.base.util.excel.ExcelProperty;
import cn.com.qmth.examcloud.commons.web.jpa.JpaEntity;
import cn.com.qmth.examcloud.core.basic.dao.enums.CourseLevel;

/**
 * 
 * @Description: 课程
 * @author ting.yin
 * @date 2017年1月5日
 */
@Entity
@Table(name = "ecs_core_course")
public class Course extends JpaEntity {

	private static final long serialVersionUID = -6261302618070108336L;

	@Id
	@GeneratedValue
	private Long id;

	@ExcelProperty(index = 1)
	@NotNull
	private String code;

	@ExcelProperty(index = 0)
	@NotNull
	private String name;

	/**
	 * 顶级机构ID
	 */
	@NotNull
	private Long orgId;

	@Enumerated(EnumType.STRING)
	private CourseLevel level;

	private Boolean enable;

	public Course() {
	}

	public Course(String name, String code) {
		this.name = name;
		this.code = code;
		this.enable = true;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public CourseLevel getLevel() {
		return level;
	}

	public void setLevel(CourseLevel level) {
		this.level = level;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

}
